petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCGASMDestroySubdomains

Destroys the index sets created with PCGASMCreateSubdomains() or PCGASMCreateSubdomains2D. Should be called after setting subdomains with PCGASMSetSubdomains().

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCGASMDestroySubdomains(PetscInt n,IS **iis,IS **ois)

Collective Many br

### Input Parameters

| n | - the number of index sets Many br
| iis | - the array of inner subdomains, Many br
| ois | - the array of outer subdomains, can be NULL Many br

Many br

Notes: this is merely a convenience subroutine that walks each list, Many brdestroys each IS on the list, and then frees the list. At the end the Many brlist pointers are set to NULL. Many br

### Keywords

PC, GASM, additive Schwarz, create, subdomains, unstructured grid

### See Also

PCGASMCreateSubdomains(), PCGASMSetSubdomains()

Level:intermediate
Location:src/ksp/pc/impls/gasm/gasm.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex62.c.html